* Disclaimer: This software code and all associated documentation, comments
*             or other information (collectively "Software") is provided
*             "AS IS" without warranty of any kind. MICRON TECHNOLOGY, INC.
*             ("MTI") EXPRESSLY DISCLAIMS ALL WARRANTIES EXPRESS OR IMPLIED,
*             INCLUDING BUT NOT LIMITED TO, NONINFRINGEMENT OF THIRD PARTY
*             RIGHTS, AND ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*             FOR ANY PARTICULAR PURPOSE. MTI DOES NOT WARRANT THAT THE
*             SOFTWARE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF
*             THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE. FURTHERMORE,
*             MTI DOES NOT MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE
*             RESULTS OF THE USE OF THE SOFTWARE IN TERMS OF ITS CORRECTNESS,
*             ACCURACY, RELIABILITY, OR OTHERWISE. THE ENTIRE RISK ARISING OUT
*             OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU. IN NO
*             EVENT SHALL MTI, ITS AFFILIATED COMPANIES OR THEIR SUPPLIERS BE
*             LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, OR
*             SPECIAL DAMAGES (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS
*             OF PROFITS, BUSINESS INTERRUPTION, OR LOSS OF INFORMATION)
*             ARISING OUT OF YOUR USE OF OR INABILITY TO USE THE SOFTWARE,
*             EVEN IF MTI HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*             Because some jurisdictions prohibit the exclusion or limitation
*             of liability for consequential or incidental damages, the above
*             limitation may not apply to you.
*             Copyright 2019 Micron Technology, Inc. All rights reserved.
*
******************************************************************************************************
* On-die Decoupling circuit for z11b (VDDQ to VSSQ)
* Includes VDDQ-VSSQ decoupling for all signals (full die) including DQ0-15, LDQS_t/c, UDQS_t/c, UDM or LDM.
* This subcircuit should be added across the IBIS DQ, DM or DQS models' [Pullup Reference] and [Pulldown Reference]
* nodes as in the following Spice example:

******************************************************************************************************
*x_decouple vddq_die vcc_die vssq_die gnd z11b_ondie_decoupling_alldq

*b_dq1 vccq_die vssq_die PAD_DQ1 IN_DQ1 ENOUT RCVR_OUT_DQ1 vccq_die vssq_die
*+ file='z11b.ibs' model='DQ_40_3200' typ=typ power=off buffer=3 interpol=1 ramp_fwf=2 ramp_rwf=2
*+ rm_tail_rwf=default rm_tail_fwf=default
*+ rm_dly_rwf=default rm_dly_fwf=default
******************************************************************************************************

.subckt z11b_ondie_decoupling_alldq vddq_die vcc_die vssq_die ref
x1 vddq_die vcc_die vssq_die ref z11b_cfat_alldq

**********************************************************
** STATE-SPACE REALIZATION               
** IN SPICE LANGUAGE
** This file is automatically generated  
**********************************************************
** Created: 25-Jun-2018 by IdEM R2012 (8.0.6)
**********************************************************


**********************************************************
* NOTE:
* a_i  --> input node associated to the port i 
* ref  --> reference node, common for all the input nodes 
**********************************************************

***********************************
* Interface (ports specification) *
***********************************
.subckt z11b_cfat_alldq
+  a_1 a_2 a_3 ref 
***********************************


******************************************
* Main circuit connected to output nodes *
******************************************

* Port 1
VI_1 a_1 NI_1 0
RI_1 NI_1 ref 5.0000000000000000e+001
GC_1_1 ref NI_1 NS_1 0 3.6487376273079712e-003
GC_1_2 ref NI_1 NS_2 0 -3.2432618678394595e-003
GC_1_3 ref NI_1 NS_3 0 3.5859614805708595e-003
GC_1_4 ref NI_1 NS_4 0 1.3991471804021870e-006
GC_1_5 ref NI_1 NS_5 0 1.1455485680123610e-005
GC_1_6 ref NI_1 NS_6 0 4.1482545235287438e-007
GC_1_7 ref NI_1 NS_7 0 6.8948380214531944e-007
GC_1_8 ref NI_1 NS_8 0 6.9849030282134036e-007
GC_1_9 ref NI_1 NS_9 0 6.8139647027703544e-010
GC_1_10 ref NI_1 NS_10 0 -1.6141565594831324e-011
GC_1_11 ref NI_1 NS_11 0 -2.0635210365738820e-003
GC_1_12 ref NI_1 NS_12 0 2.2154073125936944e-003
GC_1_13 ref NI_1 NS_13 0 3.5842006866382151e-003
GC_1_14 ref NI_1 NS_14 0 -1.3353500554954155e-006
GC_1_15 ref NI_1 NS_15 0 -1.1583726110456505e-005
GC_1_16 ref NI_1 NS_16 0 -3.3613182935877515e-007
GC_1_17 ref NI_1 NS_17 0 6.7857296151802906e-007
GC_1_18 ref NI_1 NS_18 0 6.8370264033643308e-007
GC_1_19 ref NI_1 NS_19 0 6.3159758548219187e-010
GC_1_20 ref NI_1 NS_20 0 -2.1235828020063409e-011
GC_1_21 ref NI_1 NS_21 0 4.3418793864081096e-004
GC_1_22 ref NI_1 NS_22 0 -1.9073380651213548e-004
GC_1_23 ref NI_1 NS_23 0 3.5825710693757071e-003
GC_1_24 ref NI_1 NS_24 0 -2.9001124182913915e-008
GC_1_25 ref NI_1 NS_25 0 2.2434600637152161e-007
GC_1_26 ref NI_1 NS_26 0 -9.2119228877232093e-008
GC_1_27 ref NI_1 NS_27 0 -1.3565638554863362e-006
GC_1_28 ref NI_1 NS_28 0 -1.3834733220166692e-006
GC_1_29 ref NI_1 NS_29 0 -2.1412740977799370e-009
GC_1_30 ref NI_1 NS_30 0 6.7500616802109836e-012
GD_1_1 ref NI_1 NA_1 0 -2.8251402502130468e-001
GD_1_2 ref NI_1 NA_2 0 -8.6608805064816740e-005
GD_1_3 ref NI_1 NA_3 0 -3.5801223128890451e-005
*
* Port 2
VI_2 a_2 NI_2 0
RI_2 NI_2 ref 5.0000000000000000e+001
GC_2_1 ref NI_2 NS_1 0 -2.0635210365739401e-003
GC_2_2 ref NI_2 NS_2 0 2.2154073125937516e-003
GC_2_3 ref NI_2 NS_3 0 3.5842006866382151e-003
GC_2_4 ref NI_2 NS_4 0 -1.3353500554953550e-006
GC_2_5 ref NI_2 NS_5 0 -1.1583726110456576e-005
GC_2_6 ref NI_2 NS_6 0 -3.3613182935874031e-007
GC_2_7 ref NI_2 NS_7 0 6.7857296151801667e-007
GC_2_8 ref NI_2 NS_8 0 6.8370264033644472e-007
GC_2_9 ref NI_2 NS_9 0 6.3159758547854608e-010
GC_2_10 ref NI_2 NS_10 0 -2.1235828019097572e-011
GC_2_11 ref NI_2 NS_11 0 2.7289699182015841e-003
GC_2_12 ref NI_2 NS_12 0 -2.2791836679299606e-003
GC_2_13 ref NI_2 NS_13 0 3.5917317857521581e-003
GC_2_14 ref NI_2 NS_14 0 1.3705467770001552e-006
GC_2_15 ref NI_2 NS_15 0 1.1968851508681897e-005
GC_2_16 ref NI_2 NS_16 0 4.2828331297027658e-007
GC_2_17 ref NI_2 NS_17 0 6.6798329197592728e-007
GC_2_18 ref NI_2 NS_18 0 6.7614579868552026e-007
GC_2_19 ref NI_2 NS_19 0 6.5026177096730616e-010
GC_2_20 ref NI_2 NS_20 0 -2.8296771708942571e-011
GC_2_21 ref NI_2 NS_21 0 -7.9162706082570205e-004
GC_2_22 ref NI_2 NS_22 0 1.0444105212606108e-003
GC_2_23 ref NI_2 NS_23 0 3.5855785655413254e-003
GC_2_24 ref NI_2 NS_24 0 -1.5255393115899702e-007
GC_2_25 ref NI_2 NS_25 0 -4.2773785831117148e-007
GC_2_26 ref NI_2 NS_26 0 -1.1308038732229976e-007
GC_2_27 ref NI_2 NS_27 0 -1.3344051318896006e-006
GC_2_28 ref NI_2 NS_28 0 -1.3615618455644026e-006
GC_2_29 ref NI_2 NS_29 0 -2.1088463103645895e-009
GC_2_30 ref NI_2 NS_30 0 1.2291579408291280e-011
GD_2_1 ref NI_2 NA_1 0 -8.6608805064816740e-005
GD_2_2 ref NI_2 NA_2 0 -2.8211914909381264e-001
GD_2_3 ref NI_2 NA_3 0 7.1533311329219818e-005
*
* Port 3
VI_3 a_3 NI_3 0
RI_3 NI_3 ref 5.0000000000000000e+001
GC_3_1 ref NI_3 NS_1 0 4.3418793864061412e-004
GC_3_2 ref NI_3 NS_2 0 -1.9073380651194203e-004
GC_3_3 ref NI_3 NS_3 0 3.5825710693757071e-003
GC_3_4 ref NI_3 NS_4 0 -2.9001124182844412e-008
GC_3_5 ref NI_3 NS_5 0 2.2434600637139646e-007
GC_3_6 ref NI_3 NS_6 0 -9.2119228877133149e-008
GC_3_7 ref NI_3 NS_7 0 -1.3565638554864128e-006
GC_3_8 ref NI_3 NS_8 0 -1.3834733220166111e-006
GC_3_9 ref NI_3 NS_9 0 -2.1412740977816663e-009
GC_3_10 ref NI_3 NS_10 0 6.7500616803484830e-012
GC_3_11 ref NI_3 NS_11 0 -7.9162706082584766e-004
GC_3_12 ref NI_3 NS_12 0 1.0444105212607539e-003
GC_3_13 ref NI_3 NS_13 0 3.5855785655413254e-003
GC_3_14 ref NI_3 NS_14 0 -1.5255393115898323e-007
GC_3_15 ref NI_3 NS_15 0 -4.2773785831123162e-007
GC_3_16 ref NI_3 NS_16 0 -1.1308038732223492e-007
GC_3_17 ref NI_3 NS_17 0 -1.3344051318896649e-006
GC_3_18 ref NI_3 NS_18 0 -1.3615618455643556e-006
GC_3_19 ref NI_3 NS_19 0 -2.1088463103632155e-009
GC_3_20 ref NI_3 NS_20 0 1.2291579407612260e-011
GC_3_21 ref NI_3 NS_21 0 1.9851161389303489e-003
GC_3_22 ref NI_3 NS_22 0 -1.6475273626663713e-003
GC_3_23 ref NI_3 NS_23 0 3.5843751903096763e-003
GC_3_24 ref NI_3 NS_24 0 1.9797227149881190e-007
GC_3_25 ref NI_3 NS_25 0 2.2048794946745640e-007
GC_3_26 ref NI_3 NS_26 0 1.9286785017336312e-007
GC_3_27 ref NI_3 NS_27 0 2.6897001570546475e-006
GC_3_28 ref NI_3 NS_28 0 2.7296879558905348e-006
GC_3_29 ref NI_3 NS_29 0 3.6320601304006713e-009
GC_3_30 ref NI_3 NS_30 0 5.6777016503896567e-012
GD_3_1 ref NI_3 NA_1 0 -3.5801223128890451e-005
GD_3_2 ref NI_3 NA_2 0 7.1533311329219818e-005
GD_3_3 ref NI_3 NA_3 0 -2.8271197251236846e-001
*
******************************************


********************************
* Synthesis of impinging waves *
********************************

* Impinging wave, port 1
RA_1 NA_1 0 3.5355339059327378e+000
FA_1 0 NA_1 VI_1 1.0
GA_1 0 NA_1 a_1 ref 2.0000000000000000e-002
*
* Impinging wave, port 2
RA_2 NA_2 0 3.5355339059327378e+000
FA_2 0 NA_2 VI_2 1.0
GA_2 0 NA_2 a_2 ref 2.0000000000000000e-002
*
* Impinging wave, port 3
RA_3 NA_3 0 3.5355339059327378e+000
FA_3 0 NA_3 VI_3 1.0
GA_3 0 NA_3 a_3 ref 2.0000000000000000e-002
*
********************************


***************************************
* Synthesis of real and complex poles *
***************************************

* Real pole n. 1
CS_1 NS_1 0 9.9999999999999998e-013
RS_1 NS_1 0 1.7288807940710907e+001
GS_1_1 0 NS_1 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 2
CS_2 NS_2 0 9.9999999999999998e-013
RS_2 NS_2 0 1.7680913541698178e+001
GS_2_1 0 NS_2 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 3
CS_3 NS_3 0 9.9999999999999998e-013
RS_3 NS_3 0 1.3801158907439824e+003
GS_3_1 0 NS_3 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 4
CS_4 NS_4 0 9.9999999999999998e-013
RS_4 NS_4 0 3.1472915238688416e+004
GS_4_1 0 NS_4 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 5
CS_5 NS_5 0 9.9999999999999998e-013
RS_5 NS_5 0 9.7565586555484886e+004
GS_5_1 0 NS_5 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 6
CS_6 NS_6 0 9.9999999999999998e-013
RS_6 NS_6 0 2.2825988081347285e+005
GS_6_1 0 NS_6 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 7
CS_7 NS_7 0 9.9999999999999998e-013
RS_7 NS_7 0 1.3552628508434338e+006
GS_7_1 0 NS_7 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 8
CS_8 NS_8 0 9.9999999999999998e-013
RS_8 NS_8 0 2.1698658874191437e+006
GS_8_1 0 NS_8 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 9
CS_9 NS_9 0 9.9999999999999998e-013
RS_9 NS_9 0 1.8633453633315351e+007
GS_9_1 0 NS_9 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 10
CS_10 NS_10 0 9.9999999999999998e-013
RS_10 NS_10 0 1.0059774723130050e+009
GS_10_1 0 NS_10 NA_1 0 3.8047687153676936e-002
*
* Real pole n. 11
CS_11 NS_11 0 9.9999999999999998e-013
RS_11 NS_11 0 1.7288807940710907e+001
GS_11_2 0 NS_11 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 12
CS_12 NS_12 0 9.9999999999999998e-013
RS_12 NS_12 0 1.7680913541698178e+001
GS_12_2 0 NS_12 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 13
CS_13 NS_13 0 9.9999999999999998e-013
RS_13 NS_13 0 1.3801158907439824e+003
GS_13_2 0 NS_13 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 14
CS_14 NS_14 0 9.9999999999999998e-013
RS_14 NS_14 0 3.1472915238688416e+004
GS_14_2 0 NS_14 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 15
CS_15 NS_15 0 9.9999999999999998e-013
RS_15 NS_15 0 9.7565586555484886e+004
GS_15_2 0 NS_15 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 16
CS_16 NS_16 0 9.9999999999999998e-013
RS_16 NS_16 0 2.2825988081347285e+005
GS_16_2 0 NS_16 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 17
CS_17 NS_17 0 9.9999999999999998e-013
RS_17 NS_17 0 1.3552628508434338e+006
GS_17_2 0 NS_17 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 18
CS_18 NS_18 0 9.9999999999999998e-013
RS_18 NS_18 0 2.1698658874191437e+006
GS_18_2 0 NS_18 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 19
CS_19 NS_19 0 9.9999999999999998e-013
RS_19 NS_19 0 1.8633453633315351e+007
GS_19_2 0 NS_19 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 20
CS_20 NS_20 0 9.9999999999999998e-013
RS_20 NS_20 0 1.0059774723130050e+009
GS_20_2 0 NS_20 NA_2 0 3.8047687153676936e-002
*
* Real pole n. 21
CS_21 NS_21 0 9.9999999999999998e-013
RS_21 NS_21 0 1.7288807940710907e+001
GS_21_3 0 NS_21 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 22
CS_22 NS_22 0 9.9999999999999998e-013
RS_22 NS_22 0 1.7680913541698178e+001
GS_22_3 0 NS_22 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 23
CS_23 NS_23 0 9.9999999999999998e-013
RS_23 NS_23 0 1.3801158907439824e+003
GS_23_3 0 NS_23 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 24
CS_24 NS_24 0 9.9999999999999998e-013
RS_24 NS_24 0 3.1472915238688416e+004
GS_24_3 0 NS_24 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 25
CS_25 NS_25 0 9.9999999999999998e-013
RS_25 NS_25 0 9.7565586555484886e+004
GS_25_3 0 NS_25 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 26
CS_26 NS_26 0 9.9999999999999998e-013
RS_26 NS_26 0 2.2825988081347285e+005
GS_26_3 0 NS_26 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 27
CS_27 NS_27 0 9.9999999999999998e-013
RS_27 NS_27 0 1.3552628508434338e+006
GS_27_3 0 NS_27 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 28
CS_28 NS_28 0 9.9999999999999998e-013
RS_28 NS_28 0 2.1698658874191437e+006
GS_28_3 0 NS_28 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 29
CS_29 NS_29 0 9.9999999999999998e-013
RS_29 NS_29 0 1.8633453633315351e+007
GS_29_3 0 NS_29 NA_3 0 3.8047687153676936e-002
*
* Real pole n. 30
CS_30 NS_30 0 9.9999999999999998e-013
RS_30 NS_30 0 1.0059774723130050e+009
GS_30_3 0 NS_30 NA_3 0 3.8047687153676936e-002
*
******************************


.ends z11b_cfat_alldq
.ends z11b_ondie_decoupling_alldq
*******************
* End of subcircuit
*******************
